Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Ubuntu не поддерживает Geforce 2 TI, проблема с драйверами nvidia  (Прочитано 7188 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн kostix

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
AGP Geforce 2 Ti
Поставил Ubuntu 7.10. Пробовал проприетарный драйвер - не получается. Пробовал nvidia-glx-legacy через синапсис ставить тоже не помогает. В xorg.conf всё прописывается "nvidia", после того как пишет что проблема с видюхой Ubuntu сама меняет на  "nv". Пробовал чётко по такой инструкции https://forum.ubuntu.ru/index.php?topic=3031.0 . Устанавливаю всё что нужно, всё по инструкции. Когда запускаю sh sh NVIDIA-Linux-XXX-X.X-XXX-pkg1.run (использую дрова 7184 вроде, которые поддерживают 2 TI)
во время установки вылезает надпись "No precompiled kernel interface was found to match you kernel" , ок, после этого запускается прогресс бар, доходит до 100 % Пишет "Error Unable to build the NVidia kernel module". Пробовал ставить по похожим инструкциям результат один. Что же делать какие варианты решения проблемы есть?


Оффлайн Kwah

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1442
  • Ubuntu 17.10
    • Просмотр профиля
попробуй envy

модераторское: не стоит множить сообщения


Оффлайн kostix

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
попробуй envy

модераторское: не стоит множить сообщения



Ах да, извиняюсь. В самом начале как раз пробовал envy. Ничего не получилось. После того как нажал install nvidia драйвер она ругнулась и не установила. Вручную тоже пробовал в ней выбирать разные версии дров vnvidia. В общем никак.

Оффлайн Fliker-09

  • Активист
  • *
  • Сообщений: 338
  • Linux rocks and KDE too!
    • Просмотр профиля
Что именно Еnvy написала?

Оффлайн kostix

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Что именно Еnvy написала?

Хотел вчера показать логи, но вот странная вещь - мозилла постоянно падает, когда я пытаюсь отправить написать в этот форум !!
Короче посмотрел я вчера сам логи, понял что дело в неудолетворённых зависимостях, добавил новые репозитарии обновился и.т.д в общем поставил вроде бы с помощью ENVY драйвера nvidia и лого нвидиа появилось, и в xorg.conf "nvidia" и карточка моя определилась. Поставил compiz по инструкции. Компиз не запускается, пишет
compiz --replace
Fatal: Failed test: texture_from_pixmap support
Checks indicate that it's impossible to start compiz on your system.

Я так понимаю что-то с дровами. Решил просто попробовать включить эффекты внешнего вида в система-администрирование
когда переключаю на нормальный мне система говорит, что данные дрова поддерживают только 2D, для 3D надо использовать дрова NVidia ;) Если нажать Enable она ставит в систему проприетарные драйвера..

Короче пробовал переустановить Envy. Теперь она вообще не ставиться, вроде бы проблема с пакетом nvidia-xconfig или что-то такое.. Что делать?

Оффлайн alex.ryazantsev

  • Новичок
  • *
  • Сообщений: 22
    • Просмотр профиля
во время установки вылезает надпись "No precompiled kernel interface was found to match you kernel"
В системе должны быть исходники ядра.

Оффлайн kostix

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
во время установки вылезает надпись "No precompiled kernel interface was found to match you kernel"
В системе должны быть исходники ядра.

И что, если я просто поставлю исходини ядра. Сразу заработают нормально дрова и компиз запуститься? Что-то сомневаюсь.
Можно как-то поконкретнее что и как делать?

Оффлайн kostix

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
во время установки вылезает надпись "No precompiled kernel interface was found to match you kernel"
В системе должны быть исходники ядра.

Стоп! С исходниками всё нормально, это раньше писалось. Тем более под документации так и должно быть.

Оффлайн kostix

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Теперь у меня другая проблема. Когда переустанавливаю драйвер через ENVY всегда после логина в gdm выскакивает табличка ошибки файл xsession-errors. И показан этот файл. Потом я так и не смог найти этот xsession-errors. Что делать, почему это происходит? Где искать xsession-errors?

Оффлайн kostix

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Ну хоть кто-то ответит? Неужели никто не решил такие проблемы с этой карточкой???

Оффлайн ronny

  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
Аналогичная проблема была с GeForce4 Ti 4200 AGP 8x (проприетарные драйвера не работают, ни nvidia-glx, ни nvidia-glx-new, ни драйвера от Nvidia по разным инструкциям, работает только nv), система 7.10 Gutsy.

Моё решение: Скачать и установить скрипт Envy (http://albertomilone.com/nvidia_scripts1.html), после запуска выбрать Install the NVIDIA driver Manually и указать именно version 96.43.01 (другие варианты не подходят). Envy вытянет из инета около 10,5Мб зависимостей + драйвер (96.43.01) около 13Мб, автоматом все установит и настроит. У меня после перезагрузки драйвер заработал, с Compiz проблем нет.
Совет: если драйвер (NVIDIA-Linux-x86-96.43.01-pkg1.run) уже был скачен - можно попробовать кинуть его в /usr/share/envy/linux-restricted-modules-2.6.22.1/nvidia/ , тогда повторного скачивания не должно быть. 

Оффлайн kostix

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Аналогичная проблема была с GeForce4 Ti 4200 AGP 8x (проприетарные драйвера не работают, ни nvidia-glx, ни nvidia-glx-new, ни драйвера от Nvidia по разным инструкциям, работает только nv), система 7.10 Gutsy.

Моё решение: Скачать и установить скрипт Envy (http://albertomilone.com/nvidia_scripts1.html), после запуска выбрать Install the NVIDIA driver Manually и указать именно version 96.43.01 (другие варианты не подходят). Envy вытянет из инета около 10,5Мб зависимостей + драйвер (96.43.01) около 13Мб, автоматом все установит и настроит. У меня после перезагрузки драйвер заработал, с Compiz проблем нет.
Совет: если драйвер (NVIDIA-Linux-x86-96.43.01-pkg1.run) уже был скачен - можно попробовать кинуть его в /usr/share/envy/linux-restricted-modules-2.6.22.1/nvidia/ , тогда повторного скачивания не должно быть. 

Ага... это для GeForce4 TI, а мою Geforce 2Ti 96.43.01 давно не поддерживают. По документации только 7184 поддерживает. Ну или 71** ещё какие-нить.
А 7184 хоть и ставяться вручную с помощью Envy, 3d там не работает, при попытке запуска compiz

compiz --replace
Fatal: Failed test: texture_from_pixmap support
Checks indicate that it's impossible to start compiz on your system.

А сейчас после переустаново с помощью Envy вообще не не грузиться gdm (только если переключусь на стандартные дрова nv),
после логина в gdm выскакивает табличка ошибки файл xsession-errors. И показан этот файл. Потом я так и не смог найти этот xsession-errors. Что делать, почему это происходит? Где искать xsession-errors?

Что с этим то делать, помогите! В папке /home/user нет этого файла, в других местах тоже....


Оффлайн Kwah

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1442
  • Ubuntu 17.10
    • Просмотр профиля
compiz --replace
Fatal: Failed test: texture_from_pixmap support
Checks indicate that it's impossible to start compiz on your system.
Может стоит успокоиться по поводу compiz-а?
Похоже, что в драйвере, даже самом распоследнем, подходящем для твоей карты, не поддерживается необходимая функциональность. Не удивлюсь, если она не поддерживается не только на уровне драйвера, но и на уровне железа. GeForce2 всё-таки.

Оффлайн kostix

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Может стоит успокоиться по поводу compiz-а?
Похоже, что в драйвере, даже самом распоследнем, подходящем для твоей карты, не поддерживается необходимая функциональность. Не удивлюсь, если она не поддерживается не только на уровне драйвера, но и на уровне железа. GeForce2 всё-таки.

Ага, успокоиться.. Типа : Парень, Ubuntu это очень класная система. Всё что идёт под Windows XP с первого раза у любого ламера, чтобы настроить под Ubuntu надо сидеть ночами, ставить разные версии дров, шаманить с разными командами и.т.д. и всё не работает. Типа если Geforce 2 TI поддерживает 3D, многие современные даже игрушки (правда проблемы бывают с шейдерами, приходилось отключать) простые 3 D эффекты, которые в той же винде буду работать без настроек тут не заработают после недельного шаманства, а потом тебе ещё ответят : Может стоит успокоиться по поводу compiz-а?
Похоже, что в драйвере, даже самом распоследнем, подходящем для твоей карты, не поддерживается необходимая функциональность.

Да причём тут compiz, когда просто нормально дрова для видюхи хрен поставишь, если она Geforce 2 TI. И не у меня одного такая проблема. Я надеялся, что хоть кто-то подскажет. Вот тебе и подсказали...

Оффлайн Kwah

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1442
  • Ubuntu 17.10
    • Просмотр профиля
Ага... это для GeForce4 TI, а мою Geforce 2Ti 96.43.01 давно не поддерживают. По документации только 7184 поддерживает. Ну или 71** ещё какие-нить.
А 7184 хоть и ставяться вручную с помощью Envy, 3d там не работает, при попытке запуска compiz

compiz --replace
Fatal: Failed test: texture_from_pixmap support
Checks indicate that it's impossible to start compiz on your system.
Кхе-кхе. Лучшее - враг хорошего :P
Если не можешь вспомнить, что делал, чтобы драйвер поставить - записывай (серьёзно).

ЗЫ Напиши дровосекам из нвидии,  чтобы озаботились.

 

Страница сгенерирована за 0.06 секунд. Запросов: 22.